# Visualization
TKV2d
Prs2d

# Prs2d_Angle Class Reference

Constructs the primitive Angle
.

`#include <Prs2d_Angle.hxx>`

Inheritance diagram for Prs2d_Angle:

[legend]

## Public Member Functions

Standard_EXPORT

Prs2d_Angle (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const gp_Pnt2d &anAttachPnt1, const gp_Pnt2d &anAttachPnt2, const gp_Pnt2d &anAttachPnt3, const Quantity_Length aRadius, const TCollection_ExtendedString &aText, const Standard_Real aTxtScale=3.0, const Standard_Real anArrAngle=15.0, const Standard_Real anArrLength=10.0, const Prs2d_TypeOfArrow anArrType=Prs2d_TOA_OPENED, const Prs2d_ArrowSide anArrow=Prs2d_AS_BOTHAR, const Standard_Boolean IsReverseArrow=Standard_False)

| create an angle: between the line defined by the points anAttachtPnt1 and anAttachPnt2 and the line defined by the points anAttachPnt1 and anAttachPnt3 Radius of this angle is the distance between <anattachpnt1> and <anoffsetpoint> points. <anarrangle> in degree
Standard_EXPORT void | Values (gp_Pnt2d &aPnt1, gp_Pnt2d &aPnt2, gp_Pnt2d &aPnt3, Quantity_Length &aRad) const
| allows to get the properties of the angle
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual void | CalcTxtPos (const Standard_Boolean theFromAbs=Standard_False)
Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the angle <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the angle <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the angle <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the angle <me> is picked, Standard_False if not. .

## Private Attributes

Standard_ShortReal | myCentX
Standard_ShortReal | myCentY
Standard_ShortReal | myRad
Standard_ShortReal | myFAngle
Standard_ShortReal | mySAngle

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_Angle::Prs2d_Angle | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const gp_Pnt2d & | anAttachPnt1,
|  | const gp_Pnt2d & | anAttachPnt2,
|  | const gp_Pnt2d & | anAttachPnt3,
|  | const Quantity_Length | aRadius,
|  | const TCollection_ExtendedString & | aText,
|  | const Standard_Real | aTxtScale = `3.0`,
|  | const Standard_Real | anArrAngle = `15.0`,
|  | const Standard_Real | anArrLength = `10.0`,
|  | const Prs2d_TypeOfArrow | anArrType = `Prs2d_TOA_OPENED`,
|  | const Prs2d_ArrowSide | anArrow = `Prs2d_AS_BOTHAR`,
|  | const Standard_Boolean | IsReverseArrow = `Standard_False`
| ) |

## Member Function Documentation

void Prs2d_Angle::CalcTxtPos | ( | const Standard_Boolean | theFromAbs = `Standard_False` | ) | `[inline, protected, virtual]`

| Implements Prs2d_Dimension.

Standard_EXPORT void Prs2d_Angle::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Angle::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Angle::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT const Prs2d_Angle::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs2d_Dimension.

Standard_EXPORT Standard_Boolean Prs2d_Angle::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Angle::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT void Prs2d_Angle::Values | ( | gp_Pnt2d & | aPnt1,
|  | gp_Pnt2d & | aPnt2,
|  | gp_Pnt2d & | aPnt3,
|  | Quantity_Length & | aRad
| ) | const

## Field Documentation

Standard_ShortReal Prs2d_Angle::myCentX `[private]`

Standard_ShortReal Prs2d_Angle::myCentY `[private]`

Standard_ShortReal Prs2d_Angle::myFAngle `[private]`

Standard_ShortReal Prs2d_Angle::myRad `[private]`

Standard_ShortReal Prs2d_Angle::mySAngle `[private]`

The documentation for this class was generated from the following files:

- Prs2d_Angle.hxx
- Prs2d_Angle.lxx